
.job-row {
    display: flex;
    height: 25px;
    /* width: calc(100% - 70px); */
    margin: auto;
    position: relative;
    white-space: nowrap;
    flex-grow: initial;
    /* border-bottom: 1px solid #EEEEEE; */
    /* padding: 0 35px; */
    /* padding: 0 35px 0 16px; */
    flex-wrap: nowrap;
    width: 100%;
    align-items: center;
}




.job-row-user {
    width: 100px;
    text-align: center;
}

.job-row-category {
    text-align: center;
    width: 100px;
}

.job-row-deadline {}

.job-row-deadline {
    min-width: 85px;
    /* background-color: rgb(228, 228, 228); */
    text-align: center;
    color: #666666;
    padding: 2px 0 !important;
    position: relative;
}

.job-row-cell {
    position: relative;
    padding: 2px 17px;
    overflow: hidden;
    font-size: 13px;
    /* display: flex; */
    align-self: center;
}

.job-row-cell:hover {
    /* background-color: white; */
    /* color: black; */
}

.job-row:hover {
    background-color: hsla(0,0%,96%,1);
}

.job-row-wrapper:hover {
    background-color: hsla(0,0%,98%,1) !important;
}

.job-row-content {
    flex: 2;
    min-width: 200px;
    line-height: 25px;
    /* align-self: stretch; */
}

.job-row-content textarea {
    width: 100%;
    /* min-width: 200px; */
    /* align-self: stretch; */
}


.layout-type-project .job-row-content {

padding-left: 13px;
}

.job-row-project {
    min-width: 200px;
    max-width: 200px;
    /* flex: 1.2; */
}


.job-row-priorityCell {
    min-width: 15px;
    height: 15px;
    /* width: 15px; */
    color: white;
    border-radius: 10px;
    margin-right: 9px;
    /* margin-top: 2px; */
    padding: 0;
    margin-left: 15px;
    /* line-height: 10px; */
}
.job-state-5 .job-row-priorityCell {
    opacity: .2
}

.job-state-0 {
    background-color: rgb(255, 255, 255);
}

.job-state-1 {background-color: #bcf576;}

.job-state-2 {
}

.user-page .job-state-3 {/* opacity: 0.4; */color: #cccccc;}

.job-state-4 {
}

.job-row-priorityCell-urgent {
    /* background-color: rgb(255, 255, 255) !important; */
}

.job-state-0 .job-row-priorityCell {
    background-color: #E1FBC3 !important;
}
.job-state-1 .job-row-priorityCell {
    /* background-color: hsla(88,87%,68%,1) !important; */
}

.job-state-3 .job-row-priorityCell  {
    background-color: hsla(60,78%,71%,1) !important;
}

.job-state-4 .job-row-priorityCell  {
    background-color: rgb(214, 232, 240) !important;
}



.job-row-cell.job-row-button {
    border-left: 0;
    padding: 4px 4px;
    width: 40px;
    position: absolute;
    right: -40px;
}

.job-row-buttonWrapper:hover {
    background-color: #A1CFE4;
    border-radius: 300px;
}

.job-row-buttonWrapper {
    transition: opacity 0.3s cubic-bezier(0.4, 0, 1, 1);
    width: 20px;
    height: 20px;
    top: 7px;
    background-color: rgba(176, 17, 17, 0);
    /* padding: 4px; */
    /* position: absolute; */
    right: -33px;
    z-index: 1;
    margin: 2px 7px;
}


.job-row:hover > .job-row-buttonWrapper {
    /* background-color: #F0F0F0; */
    /* height: 30px; */
    /* width: 30px; */
}


.job-row:hover  .job-row-deadline-date {
    opacity: 0;
}


.job-row-deadline-hovered
{
    opacity: 1;
}

.job-row-deadline-date {
    position: relative;
    height: 100%;
    width: 100%;
    text-align: center;
    background-color: rgb(255, 255, 255);
    /* transition: opacity .15s ease-in-out; */
    padding: 2px 0;
    color: #3D3D3D;
}

.job-state-1 .job-row-deadline-date {background-color: #bcf576;}


.job-row-wrapper:hover .job-row-deadline-date {
    background-color: rgb(245, 245, 245);
}

.job-row-deadline-diff {
    position: absolute;
    height: 100%;
    width: 100%;
    padding: 2px 0;
    text-align: center;
    /* background-color: rgb(245, 245, 245); */
    /* color: white; */
    font-weight: 300;
    /* vertical-align: text-top; */
}

.job-row-deadline-passed {
    color: #DD9C94 !important;
    /* color: white; */
}

.job-row .job-row-button:hover {
    /* background-color: #D6D6D6; */
}

.job-state-5 {
    color: #A7A6A6;
    text-decoration: line-through;
}

.job-row-cell.job-row-unit {
    /* width: 100px; */
    padding-left: 0;
    text-align: left;
}

.job-row-count-header {
    min-width: 140px;
}

.job-row-count {
    width: 60px;
    padding-right: 10px;
    padding-left: 11px;
    text-align: right;
    /* justify-content: flex-end; */
}

.job-row-unitCount {
    display: flex !important;
    /* width: 220px; */
    min-width: 160px;
    max-width: 160px;
    flex: .5;
}

.job-row-notification {
    background: url(../img_new/notif-mark.png);
    background-position:  center;
    background-repeat: no-repeat;
    background-size: 67%;
    position: absolute;
    width: 25px;
    height: 25px;
    left: 4px;
    /* top: 6px; */
    /* z-index: 1; */
    /* position: absolute; */
}

.job-row-notification:hover {
    /* border: 2px solid #DD9D95; */
    /* border-radius: 20px; */
}

.job-row-number {
    width: 40px;
    text-align: center;
    justify-content: flex-end;
}

.layout-type-project .job-row-number {

padding-right: 0px;
}

.job-row-jobCount {
    margin: auto;
    width: 50px;
}

.job-row-button {
    /* width: 25px; */
    padding: 2px;
}

.job-row-dropDown {
    /* width: 240px; */
    padding: 0;
    overflow: visible;
    /* height: 100%; */
    max-width: 208px;
    visibility: visible !important;
}

.job-row-edit .job-row-dropDown {
    min-width: 157px;
}


.job-row-input-text:hover {
    background-color: rgb(233, 233, 233);
}

.job-row-customJob {
    font-size: 12px !important;
    margin-bottom: 10px !important;
}

.job-row-dropDown-icon {
    background: url(../img_new/arrow-in.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 73%;
    height: 21px;
    margin-left: 13px;
    width: 20px;
    cursor: pointer;
    overflow: visible;
}

.job-row-dropDown-icon:hover {
    
background-color: #e1e1e1;
}

.job-row.job-row-edit {
    border: 2px solid #2098d1;
    flex-wrap: wrap;
    min-height: 35px;
    height: auto;
    background-color: white;
    /* z-index: 1; */
    padding-right: 27px;
}

.job-row-edit input[type="text"] {
    min-width: 15px;
    align-self: stretch;
}

.job-row-edit-buttonWrapper {
    width: 0;
    position: absolute;
    right: 24px;
    bottom: 3px;
}
.review-time-cell-edit .job-row-edit-buttonWrapper {
    
    right: -3px;
    top: -6px;
}

.job-row-serverPath {
    /* min-width: 480px; */
}

.job-row-customJob .job-row-dropDown {
    /* min-width: 130px; */
}

.job-row-input-text {}

.job-row-serverPath {
    display: inline-flex;
    width: 2px;
    overflow: hidden;
    text-indent: 100%;
    white-space: nowrap;
    /* border-radius: 0; */
    background-size: 67%;
    /* margin: 0; */
    margin-right: 7px;
    /* width: 20px; */
    /* height: 20px; */
    background-color: #fafafa;
    /* background-position-x: 0; */
    /* border-radius: 0; */
}